local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_a",
  Def.ActorFrame{
    Name= "xtl_actor_b",
    Def.Sprite{
      Name= "xtl_actor_c",
    Delay0000= 0.035,
    Delay0001= 0.035,
    Delay0002= 0.035,
    Delay0003= 0.035,
    Frame0000= 0,
    Frame0001= 1,
    Frame0002= 2,
    Frame0003= 3,
    InitCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtoheight,SCREEN_HEIGHT;zoomtowidth,SCREEN_WIDTH;diffusealpha,0),
    OnCommand= cmd(linear,1;diffusealpha,1;sleep,6.2;diffusealpha,0),
    Texture= "static",
    },
  },
  Def.Quad{
    Name= "xtl_actor_d",
  InitCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_TOP;vertalign,top;diffuse,color('#000000');zoomtowidth,SCREEN_WIDTH),
  OnCommand= cmd(sleep,1.2;decelerate,2;zoomtoheight,SCREEN_HEIGHT/2-2;sleep,4.01;diffusealpha,0),
  },
  Def.Quad{
    Name= "xtl_actor_e",
  InitCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_BOTTOM;vertalign,bottom;diffuse,color('#000000');zoomtowidth,SCREEN_WIDTH),
  OnCommand= cmd(sleep,1.2;decelerate,2;zoomtoheight,SCREEN_HEIGHT/2-2;sleep,4.01;diffusealpha,0),
  },
  Def.Quad{
    Name= "xtl_actor_f",
  InitCommand= cmd(x,SCREEN_LEFT;y,SCREEN_CENTER_Y;horizalign,left;diffuse,color('#000000');zoomtoheight,SCREEN_HEIGHT;faderight,0.2),
  OnCommand= cmd(sleep,3.2;decelerate,4;zoomtowidth,SCREEN_WIDTH/1.65;sleep,0.01;diffusealpha,0),
  },
  Def.Quad{
    Name= "xtl_actor_g",
  InitCommand= cmd(x,SCREEN_RIGHT;y,SCREEN_CENTER_Y;horizalign,right;diffuse,color('#000000');zoomtoheight,SCREEN_HEIGHT;fadeleft,0.2),
  OnCommand= cmd(sleep,3.2;decelerate,4;zoomtowidth,SCREEN_WIDTH/1.65;sleep,0.01;diffusealpha,0),
  },
  Def.Quad{
    Name= "xtl_actor_h",
  InitCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_BOTTOM;diffuse,color('#00000000');zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT*2;fadetop,0.5;vertalign,bottom),
  OnCommand= cmd(sleep,7.2;diffuse,color('#000000FF');sleep,3;linear,3;addy,SCREEN_BOTTOM*2),
  },
  Def.Sprite{
    Name= "xtl_actor_i",
  Delay0000= 0.06,
  Delay0001= 0.06,
  Delay0002= 0.06,
  Delay0003= 0.06,
  Delay0004= 0.06,
  Delay0005= 0.06,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  InitCommand= cmd(x,SCREEN_CENTER_X+550;y,SCREEN_CENTER_Y;rotationy,180;zoom,3),
  OnCommand= cmd(sleep,5.8;accelerate,4.5;zoom,0;addx,-700),
  Texture= "marisa",
  },
}
