local using_beat= {}
local using_both_sides= GAMESTATE:GetCurrentStyle():GetStyleType() == "StyleType_OnePlayerTwoSides"
for i, pn in ipairs(GAMESTATE:GetEnabledPlayers()) do
	using_beat[pn]= GAMESTATE:GetPlayerState(pn):GetPlayerOptions("ModsLevel_Preferred"):Beat() ~= 0
end
local xtl_cond_l_result= (using_beat[PLAYER_1] or using_beat[PLAYER_2]) and using_both_sides
local xtl_cond_j_result= (using_beat[PLAYER_1]) and not using_both_sides
local xtl_cond_k_result= (using_beat[PLAYER_2]) and not using_both_sides

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_m",
  optional_actor(xtl_cond_j_result,
  Def.Sprite{
    Name= "xtl_actor_n",
  Delay0000= 0.070,
  Delay0001= 0.070,
  Delay0002= 0.070,
  Delay0003= 0.070,
  Delay0004= 0.070,
  Delay0005= 0.070,
  Delay0006= 0.070,
  Delay0007= 0.070,
  Delay0008= 0.070,
  Delay0009= 0.070,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  Frame0008= 8,
  Frame0009= 9,
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X-160;y,SCREEN_CENTER_Y;zoom,1.5;linear,0.15;diffusealpha,1;sleep,0.5;linear,0.15;diffusealpha,0),
  Texture= "yukari-attack",
  }),
  optional_actor(xtl_cond_k_result,
  Def.Sprite{
    Name= "xtl_actor_o",
  Delay0000= 0.070,
  Delay0001= 0.070,
  Delay0002= 0.070,
  Delay0003= 0.070,
  Delay0004= 0.070,
  Delay0005= 0.070,
  Delay0006= 0.070,
  Delay0007= 0.070,
  Delay0008= 0.070,
  Delay0009= 0.070,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  Frame0008= 8,
  Frame0009= 9,
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X+160;y,SCREEN_CENTER_Y;zoom,1.5;rotationy,180;linear,0.15;diffusealpha,1;sleep,0.5;linear,0.15;diffusealpha,0),
  Texture= "yukari-attack",
  }),
  optional_actor(xtl_cond_l_result,
  Def.Sprite{
    Name= "xtl_actor_p",
  Delay0000= 0.070,
  Delay0001= 0.070,
  Delay0002= 0.070,
  Delay0003= 0.070,
  Delay0004= 0.070,
  Delay0005= 0.070,
  Delay0006= 0.070,
  Delay0007= 0.070,
  Delay0008= 0.070,
  Delay0009= 0.070,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  Frame0008= 8,
  Frame0009= 9,
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+20;zoom,2.5;linear,0.15;diffusealpha,1;sleep,0.5;linear,0.15;diffusealpha,0),
  Texture= "yukari-attack",
  }),
}
